routes/web.php
<?php

use App\Http\Controllers\AddressController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\BrandController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\CityController;
use App\Http\Controllers\CKEditorController;
use App\Http\Controllers\CommentController;
use App\Http\Controllers\ConsultationController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\DiscountController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\MenuController;
use App\Http\Controllers\NewsletterController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\PageController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\PostController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\ProductKeyController;
use App\Http\Controllers\ProductValueController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\SearchHistoryController;
use App\Http\Controllers\ShoppingCartController;
use App\Http\Controllers\TicketController;
use App\Http\Controllers\TicketMessageController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
//    return view('welcome');
//});


Route::get('/clear-cache', function() {
    $exitCode = Artisan::call('cache:clear');
    // return what you want
});

Auth::routes();

//Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::group(["prefix"=>"panel","as"=>"admin.",'middleware' => ["auth","role:super-admin"]],function (){
    Route::get("/dashboard",[DashboardController::class,"index"])->name("dashboard.index");

    Route::post('/ckeditor/upload',[CKEditorController::class,"upload"])->name("ckeditor.upload");

    // category route
    Route::get('/categories',[CategoryController::class,"index"])->name("categories.index");
    Route::get('/categories/create',[CategoryController::class,"create"])->name("categories.create");
    Route::post('/categories/{category:slug?}',[CategoryController::class,"store"])->name("categories.store");
    Route::get('/categories/{category:slug}/edit',[CategoryController::class,"edit"])->name("categories.edit");
    Route::get('/categories/{category:slug}',[CategoryController::class,"destroy"])->name("categories.destroy");

    // post route
    Route::get('/posts',[PostController::class,"index"])->name("posts.index");
    Route::get('/posts/create',[PostController::class,"create"])->name("posts.create");
    Route::post('/posts/{post:slug?}',[PostController::class,"store"])->name("posts.store");
    Route::get('/posts/{post:slug}/edit',[PostController::class,"edit"])->name("posts.edit");
    Route::get('/posts/{post:slug}',[PostController::class,"destroy"])->name("posts.destroy");

    // comments  route
    Route::get('/comments',[CommentController::class,"index"])->name("comments.index");
    Route::get('/comments/create',[CommentController::class,"create"])->name("comments.create");
    Route::post('/comments/{comment:id?}',[CommentController::class,"store"])->name("comments.store");
    Route::get('/comments/{comment:id}/edit',[CommentController::class,"edit"])->name("comments.edit");
    Route::get('/comments/{comment:id}',[CommentController:: class,"destroy"])->name("comments.destroy");

    // brand route
    Route::get('/brands',[BrandController::class,"index"])->name("brands.index");
    Route::get('/brands/create',[BrandController::class,"create"])->name("brands.create");
    Route::post('/brands/{brand:slug?}',[BrandController::class,"store"])->name("brands.store");
    Route::get('/brands/{brand:slug}/edit',[BrandController::class,"edit"])->name("brands.edit");
    Route::get('/brands/{brand:slug}',[BrandController::class,"destroy"])->name("brands.destroy");

    // product keys route
    Route::get('/keys',[ProductKeyController::class,"index"])->name("keys.index");
    Route::get('/keys/create',[ProductKeyController::class,"create"])->name("keys.create");
    Route::post('/keys/{key:id?}',[ProductKeyController::class,"store"])->name("keys.store");
    Route::get('/keys/{key:id}/edit',[ProductKeyController::class,"edit"])->name("keys.edit");
    Route::get('/keys/{key:id}',[ProductKeyController:: class,"destroy"])->name("keys.destroy");

    // product values route
    Route::get('/values',[ProductValueController::class,"index"])->name("values.index");
    Route::get('/values/create',[ProductValueController::class,"create"])->name("values.create");
    Route::post('/values/{value:id?}',[ProductValueController::class,"store"])->name("values.store");
    Route::get('/values/{value:id}/edit',[ProductValueController::class,"edit"])->name("values.edit");
    Route::get('/values/{value:id}',[ProductValueController:: class,"destroy"])->name("values.destroy");
    Route::get('/ajax-values',[ProductValueController:: class,"getByKeyAjax"])->name("values.by.Key.ajax");

    // product  route
    Route::get('/products',[ProductController::class,"index"])->name("products.index");
    Route::get('/products/create',[ProductController::class,"create"])->name("products.create");
    Route::post('/products/{product:slug?}',[ProductController::class,"store"])->name("products.store");
    Route::get('/products/{product:slug}/edit',[ProductController::class,"edit"])->name("products.edit");
    Route::get('/products/{product:slug}',[ProductController:: class,"destroy"])->name("products.destroy");

    // orders  route
    Route::get('/orders',[OrderController::class,"index"])->name("orders.index");
    Route::get('/orders/create',[OrderController::class,"create"])->name("orders.create");
    Route::post('/orders/{order:id?}',[OrderController::class,"store"])->name("orders.store");
    Route::get('/orders/{order:id}/edit',[OrderController::class,"edit"])->name("orders.edit");
    Route::get('/orders/{order:id}',[OrderController:: class,"destroy"])->name("orders.destroy");
    Route::get('/orders/change-status/{order:id}/{status}',[OrderController:: class,"changeStatus"])->name("orders.change.status");

    Route::get("tickets",[TicketController::class,"index"])->name("ticket.index");
    Route::get("tickets/{ticket:code}",[TicketController::class,"detail"])->name("ticket.detail");
    Route::get("tickets/close/{ticket:code}",[TicketController::class,"close"])->name("ticket.close");
    Route::get("tickets/close/{ticket:code}",[TicketController::class,"close"])->name("ticket.close");

    //menu route
    Route::get("menu",[MenuController::class,"index"])->name("menu.index");
    Route::get("menu/new",[MenuController::class,"create"])->name("menu.create");
    Route::get("menu/edit/{menu:id}",[MenuController::class,"edit"])->name("menu.edit");
    Route::post("menu/new/{menu:id?}",[MenuController::class,"store"])->name("menu.store");
    Route::get("menu/delete/{menu:id}",[MenuController::class,"destroy"])->name("menu.destroy");

    //page route
    Route::get("pages",[PageController::class,"index"])->name("page.index");
    Route::get("pages/new",[PageController::class,"create"])->name("page.create");
    Route::get("pages/edit/{page:slug}",[PageController::class,"edit"])->name("page.edit");
    Route::post("pages/new/{page:slug?}",[PageController::class,"store"])->name("page.store");
    Route::get("pages/delete/{page:slug}",[PageController::class,"destroy"])->name("page.destroy");

    Route::get("consultations",[ConsultationController::class,"index"])->name("consultations.index");
    Route::get("newsletter",[NewsletterController::class,"index"])->name("newsletter.index");
});

Route::group(["prefix"=>"profile","as"=>"profile.",'middleware' => ["auth","role:user"]],function (){
    Route::get("/",[ProfileController::class,"index"])->name("index");
    Route::get("/edit",[ProfileController::class,"profileEdit"])->name("edit");
    Route::post("/getCitiesAjax",[CityController::class,"getCitiesAjax"])->name("cities.ajax");
    Route::post("/update",[ProfileController::class,"updateProfile"])->name("profile.update");
    Route::get("/address",[AddressController::class,"address"])->name("address.index");
    Route::post("/address/create",[AddressController::class,"store"])->name("address.create");
    Route::get("/orders",[OrderController::class,"orderProfile"])->name("order.index");
    Route::get("/orders/{order:refuse_id}",[OrderController::class,"orderProfileDetail"])->name("order.detail");
    Route::get("/tickets",[TicketController::class,"profileTicket"])->name("ticket.index");
    Route::get("/tickets/new",[TicketController::class,"profileNewTicket"])->name("ticket.new");
    Route::get("/tickets/{ticket:code}",[TicketController::class,"profileTicketDetail"])->name("ticket.detail");
    Route::post("/tickets/create",[TicketController::class,"store"])->name("ticket.store");
    Route::post("/tickets-message/create/{ticket:code}",[TicketMessageController::class,"store"])->name("ticket.message.store");
    Route::post('/post/{post:slug}',[PostController::class,"storeComment"])->name("post.comment.store");
    Route::post('/product/{product:slug}',[ProductController::class,"storeComment"])->name("product.comment.store");
    Route::get("/payments",[PaymentController::class,"paymentProfile"])->name("payment.index");

    Route::get('/checkout', [ShoppingCartController::class, 'checkout'])->name('shopping-cart.checkout');
    Route::post('/order/submit', [ShoppingCartController::class, 'SendPayment'])->name('shopping-cart.payment.send');
    Route::get('/verify', [PaymentController::class, 'verify'])->name('payment.verify');

});


Route::group(["middleware" => "redirect"],function (){

app/Models/PostModel.php
<?php

namespace App\Models;

use App\Traits\Categorizable;
use App\Traits\Commentable;
use App\Traits\Galleriable;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\HasActivity;

class PostModel extends Model
{
    use HasFactory,Categorizable,Commentable,Galleriable,HasActivity;

    protected $table = "posts";
    protected $primaryKey='id';
    protected $fillable = [
        "title","slug","description","seo_title","seo_description","seo_image","content","status","user_id","indexable","canonical","thumbnail"
    ];

    protected $casts = [
        'indexable' => 'boolean',
    ];

    public function user()
    {
        return $this->belongsTo(User::class,"user_id");
    }

    protected static function booted()
    {
        static::addGlobalScope('relation', function (Builder $builder) {
            $builder->with("user")->with("categories")->with("galleries")->with("comments")->withCount("comments")->orderBy("id","desc");
        });
    }

    public function setContentAttribute($value)
    {
        $this->attributes["content"] = htmlspecialchars($value);
    }

    public function getContentAttribute($value)
    {
        return html_entity_decode($value);
    }

    public function setIndexableAttribute($value): bool
    {
        return $this->attributes['indexable'] = !!$value;
    }

    public function getIndexableAttribute($value):string
    {
        if($value){
            return "بله";
        } else {
            return "خیر";
        }
    }

    public function getStatusAttribute($value)
    {
        if($value == config("post-status.initialRegistration")){
            return "ثبت اولیه";
        } else if($value == config("post-status.disabled")){
            return "غیر فعال";
        } else if($value == config("post-status.published")) {
            return "منتشر شده";
        }
    }

}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Services\Post\PostService;
use App\Services\Product\ProductService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;

class HomeController extends Controller
{
    public PostService $postService;
    public ProductService $productService;

    public function __construct()
    {
        $this->postService = App::make(PostService::class);
        $this->productService = App::make(ProductService::class);
    }
    public function index()
    {
        $latestPosts = $this->postService->latest(8);
        $latestProducts = $this->productService->latest(8);
        return view('front.home.index',compact("latestPosts","latestProducts"));
    }
}

resources/views/front/home/categories.blade.php
<section class="category-section mt-10 pt-1">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-4 col-sm-6 mb-4 h-300">
                <div class="category category-light category-absolute overlay-zoom"
                     style="background-color: #c0c4c8;">
                    <a href="javascript:void(0);">
                        <figure class="category-media">
                            <img src="{{ asset("front/demo4/images/products/coffee-maker.webp") }}" alt="category" width="280"
                                 height="320" />
                        </figure>
                    </a>
                    <div class="category-content">
                        <a href="javascript:void(0);"
                           class="btn btn-white font-weight-semi-bold btn-rounded text-capitalize">خرید قهوه ساز (به زودی)</a>
                    </div>
                </div>
            </div>

            <div class="col-lg-4 col-sm-6 mb-4 order-lg-last h-300">
                <div class="category category-light category-absolute overlay-zoom "
                     style="background-color: #1e1e1e;">
                    <a href="{{ route("products.show",["product" => "چای-ماسالا"]) }}">
                        <figure class="category-media">
                            <img src="{{ asset("front/demo4/images/products/chai-masala.webp") }}" alt="category" width="280"
                                 height="245" />
                        </figure>
                    </a>
                    <div class="category-content">
                        <a href="{{ route("products.show",["product" => "چای-ماسالا"]) }}"
                           class="btn btn-white font-weight-semi-bold btn-rounded text-capitalize">خرید چای ماسالا</a>
                    </div>
                </div>
            </div>

            <div class="col-lg-4 col-sm-6 mb-4">
                <div class="banner banner-fixed category-banner overlay-effect4 text-center"
                     style="background-color: #e6e7e7;">
                    <figure>
                        <img src="{{ asset("front/demo4/images/demos/demo4/categories/9.jpg") }}" alt="category" width="280"
                             height="245" />
                    </figure>
                    <div class="banner-content p-3 x-50 y-50 w-100">
                        <h4 class="banner-subtitle text-white font-weight-bold mb-2">ارسال رایگان
                        </h4>
                        <h3 class="banner-title text-primary font-weight-bold text-uppercase">تا یک ماه</h3>
                        <h5 class="text-white font-weight-normal ls-normal text-uppercase">با عضویت در سایت تا یک ماه همه خریدهای شما رایگان ارسال خواهد شد.
                        </h5>
                        <a href="{{ route("login.page") }}"
                           class="btn btn-white btn-link btn-underline text-uppercase">ثبت نام</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

resources/views/front/home/index.blade.php
@extends("layouts.front.riode")
@section("header")
    <title>فروشگاه اینترنتی فنجان ایرانی</title>
    <meta name="keywords" content="HTML5 Template" />
    <meta name="description" content="فروشگاه فنجان ایرانی، بزرگترین عرضه کننده قهوه در ایران، تمام مراحل تهیه قهوه از مزرعه تا روی میز مشتری توسط فروشگاه قنجان ایرانی انجام می شود.">
    <meta name="author" content="فنجان ایرانی">
    <meta property="og:type" content="website" />
    <meta property="og:url" content="https://fenjanirani.com" />
    <meta property="og:image" content="https://fenjanirani.com" />
    <meta property="og:description" content="فروشگاه فنجان ایرانی، بزرگترین عرضه کننده قهوه در ایران، تمام مراحل تهیه قهوه از مزرعه تا روی میز مشتری توسط فروشگاه قنجان ایرانی انجام می شود.">
    <meta property="og:title" content="فروشگاه اینترنتی فنجان ایرانی" />
    <link rel="stylesheet" type="text/css" href="{{ asset("front/demo4/css/demo4.min.css") }}">
    <style>header{border-bottom:none}</style>
@endsection
@section("content")
    <div class="page-content">
        @include("front.home.introduction")
        @include("front.home.products")
{{--        @include("front.home.categories")--}}
{{--        @include("front.home.video-banner")--}}
        @include("front.home.posts")
        @include("front.home.instagram")
    </div>
@endsection

resources/views/front/home/instagram.blade.php
<section class="instagram-section pb-8 my-4 appear-animate">
    <div class="container">
        <h2 class="title title-simple text-normal title-center mb-6">ما را در اینستاگرام دنبال کنید</h2>
        <div class="row grid">
            <div class="grid-item col-lg-2 col-sm-4 col-6 height-x1">
                <figure class="instagram appear-animate" style="background-color: #ced0cf;"
                        data-animation-options="{
                                    'name': 'fadeInLeftShorter',
                                    'delay': '.3s'
                                }">
                    <a target="_blank" href="https://instagram.com/fenjane_irani">
                        <img src="{{ asset("front/demo4/images/instagram/coffee-instagram-1.jpg") }}" alt="Instagram" width="180"
                             height="180" />
                    </a>
                </figure>
            </div>
            <div class="grid-item col-lg-2 col-sm-4 col-6 height-x1">
                <figure class="instagram appear-animate" style="background-color: #dddcda;"
                        data-animation-options="{
                                    'name': 'fadeInLeftShorter',
                                    'delay': '.2s'
                                }">
                    <a target="_blank" href="https://instagram.com/fenjane_irani">
                        <img src="{{ asset("front/demo4/images/instagram/coffee-instagram-2.jpg") }}" alt="Instagram" width="180"
                             height="180" />
                    </a>
                </figure>
            </div>
            <div class="grid-item col-lg-2 col-sm-4 col-6 height-x1">
                <figure class="instagram appear-animate" style="background-color: #eaebe9;"
                        data-animation-options="{
                                    'name': 'fadeInRightShorter',
                                    'delay': '.2s'
                                }">
                    <a target="_blank" href="https://instagram.com/fenjane_irani">
                        <img src="{{ asset("front/demo4/images/instagram/coffee-instagram-3.jpg") }}" alt="Instagram" width="180"
                             height="180" />
                    </a>
                </figure>
            </div>
            <div class="grid-item col-lg-2 col-sm-4 col-6 height-x1">
                <figure class="instagram appear-animate" style="background-color: #b4b4b6;"
                        data-animation-options="{
                                    'name': 'fadeInRightShorter',
                                    'delay': '.3s'
                                }">
                    <a target="_blank" href="https://instagram.com/fenjane_irani">
                        <img src="{{ asset("front/demo4/images/instagram/coffee-instagram-4.jpg") }}" alt="Instagram" width="180"
                             height="180" />
                    </a>
                </figure>
            </div>
            <div class="grid-item col-lg-4 col-sm-8 height-x2">
                <div class="testimonial-wrapper">
                    <h3 class="title title-simple font-weight-semi-bold text-normal">نظرات مشتریان در باره فنجان ایرانی</h3>
                    <div class="owl-carousel owl-theme row cols-1 appear-animate"
                         data-animation-options="{
                                        'delay': '.2s'
                                    }" data-owl-options="{
                                        'items': 1,
                                        'nav': false,
                                        'dots': true,
                                        'loop': false
                                    }">
                        <div class="testimonial testimonial-centered">
                            <div class="testimonial-info">
                                <figure class="testimonial-author-thumbnail">
                                    <img src="{{ asset("avatar/avatar.png") }}" alt="user" width="40" height="40" />
                                </figure>
                                <blockquote class="comment">
                                    “ من بیشتر از یک ساله که با فنجان ایرانی آشنا شدم و مشتری ثابت این فروشگاه هستم. هم قیمت ها مناسبه هم کیفیت قهوه هاشون عالیه واقعا. ”
                                </blockquote>
                                <cite>
                                    محسن
                                </cite>
                            </div>
                        </div>
                        <div class="testimonial testimonial-centered">
                            <div class="testimonial-info">
                                <figure class="testimonial-author-thumbnail">
                                    <img src="{{ asset("avatar/avatar.png") }}" alt="user" width="40" height="40" />
                                </figure>
                                <blockquote class="comment">“ ما یکی از کافی شاپ های غرب تهران هستیم که مواد اولیه و دانه های قهوه مون رو از فنجان ایرانی تهیه می کنیم. به جرات میتونم بگم بالاترین کیفیت قهوه و رست واقعا تخصصی رو دارن ارائه می کنن ”</blockquote>
                                <cite>
                                    کیمیا
                                </cite>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="grid-item col-lg-2 col-sm-4 col-6 height-x1">
                <figure class="instagram appear-animate" style="background-color: #3b414d;"
                        data-animation-options="{
                                    'name': 'fadeInLeftShorter',
                                    'delay': '.3s'
                                }">
                    <a target="_blank" href="https://instagram.com/fenjane_irani">
                        <img src="{{ asset("front/demo4/images/instagram/coffee-instagram-4.jpg") }}" alt="Instagram" width="180"
                             height="180" />
                    </a>
                </figure>
            </div>
            <div class="grid-item col-lg-2 col-sm-4 col-6 height-x1">
                <figure class="instagram appear-animate" style="background-color: #d1cecb;"
                        data-animation-options="{
                                    'name': 'fadeInLeftShorter',
                                    'delay': '.2s'
                                }">
                    <a target="_blank" href="https://instagram.com/fenjane_irani">
                        <img src="{{ asset("front/demo4/images/instagram/coffee-instagram-3.jpg") }}" alt="Instagram" width="180"
                             height="180" />
                    </a>
                </figure>
            </div>
            <div class="grid-item col-lg-2 col-sm-4 col-6 height-x1">
                <figure class="instagram appear-animate" style="background-color: #e3e7ea;"
                        data-animation-options="{
                                    'name': 'fadeInRightShorter',
                                    'delay': '.2s'
                                }">
                    <a target="_blank" href="https://instagram.com/fenjane_irani">
                        <img src="{{ asset("front/demo4/images/instagram/coffee-instagram-2.jpg") }}" alt="Instagram" width="180"
                             height="180" />
                    </a>
                </figure>
            </div>
            <div class="grid-item col-lg-2 col-sm-4 col-6 height-x1">
                <figure class="instagram appear-animate" style="background-color: #162021;"
                        data-animation-options="{
                                    'name': 'fadeInRightShorter',
                                    'delay': '.3s'
                                }">
                    <a target="_blank" href="https://instagram.com/fenjane_irani">
                        <img src="{{ asset("front/demo4/images/instagram/coffee-instagram-1.jpg") }}" alt="Instagram" width="180"
                             height="180" />
                    </a>
                </figure>
            </div>
            <div class="grid-space col-1"></div>
        </div>
    </div>
</section>

resources/views/front/home/posts.blade.php
<section class="mt-10 pt-1 appear-animate">
    <div class="container">
        <h2 class="title title-line title-underline with-link pt-4">پست های جدید<a href="#">بیشتر<i
                    class="d-icon-arrow-left mr-1"></i></a></h2>
        <div class="owl-carousel owl-theme row cols-lg-3 cols-sm-2 cols-1" data-owl-options="{
                            'items': 3,
                            'margin': 20,
                            'loop': false,
                            'nav': false,
                            'dots': true,
                            'responsive': {
                                '0': {
                                    'items': 1
                                },
                                '576': {
                                    'items': 2
                                },
                                '992': {
                                    'items': 3,
                                    'dots': false
                                }
                            }
                        }">
            @foreach($latestPosts as $post)
                <div class="post post-sm overlay-dark">
                    <figure class="post-media">
                        <a href="{{ route("post.show",["post" => $post->slug]) }}">
                            <img src="{{ asset("post-thumbnails/md")."/".$post->thumbnail }}" width="380" height="200" alt="post" />
                        </a>
                        <span class="overlay-category">@if($post->categories->count() > 0 ) {{ $post->categories[0]->title }} @else - @endif</span>
                    </figure>
                    <div class="post-details">
                        <div class="post-meta">
                            در <a href="#" class="post-date">{{ $post->created_at }}</a>
                            | <a href="#" class="post-comment"><span>{{ $post->comments_count }}</span>نظر</a>
                        </div>
                        <h4 class="post-title"><a href="{{ route("post.show",["post" => $post->slug]) }}">{{ $post->title }}</a></h4>
                        <a href="{{ route("post.show",["post" => $post->slug]) }}" class="btn btn-link btn-underline btn-underline">ادامه مطلب<i class="d-icon-arrow-left"></i></a>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section>

resources/views/front/home/products.blade.php
<section class="mt-10 appear-animate">
    <div class="container">
        <h2 class="title title-line title-underline with-link">جدیدترین محصولات<a href="#">
                بیشتر
                <i class="d-icon-arrow-left mr-1"></i>
            </a>
        </h2>

        <div class="owl-carousel owl-theme row owl-nav-full cols-2 cols-md-3 cols-lg-4"
             data-owl-options="{
                            'items': 5,
                            'nav': false,
                            'loop': false,
                            'dots': true,
                            'margin': 20,
                            'responsive': {
                                '0': {
                                    'items': 2
                                },
                                '768': {
                                    'items': 3
                                },
                                '992': {
                                    'items': 4,
                                    'dots': false,
                                    'nav': true
                                }
                            }
                        }">
            @foreach($latestProducts as $product)
                <div class="product">
                    <figure class="product-media">
                        <a href="{{ route("products.show",["product" => $product->slug]) }}" >
                            <img src="{{ asset("product-thumbnails/md")."/".$product->thumbnail }}" alt="Blue Pinafore Denim Dress"
                                 width="280" height="315">
                        </a>
                        <div class="product-label-group">
                            <label class="product-label label-new">جدید</label>
                        </div>
                        <div class="product-action-vertical">
                            <a href="#" class="btn-product-icon btn-cart" data-toggle="modal"
                               data-target="#addCartModal" title="Add to cart"><i
                                    class="d-icon-bag"></i></a>
                            <a href="#" class="btn-product-icon btn-wishlist" title="Add to wishlist"><i
                                    class="d-icon-heart"></i></a>
                        </div>
                        <div class="product-action">
                            <a href="#" class="btn-product ">مشاهده</a>
                        </div>
                    </figure>
                    <div class="product-details">
                        <div class="product-cat">
                            @if($product->categories->count() > 0)
                                <a href="{{ route("category.product.show",["product" => $product->categories[0]->slug]) }}"> {{ $product->categories[0]->title }} </a>
                            @else
                                -
                            @endif
                        </div>
                        <h3 class="product-name">
                            <a href="{{ route("products.show",["product" => $product->slug]) }}">{{ $product->title }}</a>
                        </h3>
                        <div class="product-price">
                            <span class="price">{{ number_format($product->price)." تومان" }}</span>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section>